/*
  TXTS.h : TXTS Simple Text network file format

  Copyright (C) 2010, 2014 SiGN Project members

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU Affero General Public License as
  published by the Free Software Foundation, either version 3 of the
  License, or (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU Affero General Public License for more details.

  You should have received a copy of the GNU Affero General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.

  This is a part of SiGN Library.
  Visit <http://sign.hgc.jp/> for more information.

  Written by Yoshinori Tamada <tamada at is.s.u-tokyo.ac.jp>
*/

#ifndef __TXTS_H
#define __TXTS_H

#include "../util/SGN_KeyValues.h"
#include "../util/SGN_Network.h"
#include <stdio.h>

SGN_Network * TXTS_read_fp(FILE * fp, SGN_KeyValues * args);
int TXTS_count_edges(SGN_StrArray * files, double ** graph);

#endif /* __TXTS_H */

/* End of file.  Copyright (C) 2010, 2014  SiGN Project Members */
