/*
  pvalues.h

  Copyright (C) 2010
    Yoshinori Tamada
      Laboratory of DNA Information Analysis &
	  Laboratory of Sequence Analysis, Human Genome Center,
      The Institute of Medical Science, The Unversity of Tokyo

  DO NOT COPY, DISTRIBUTE, OR MODIFY WITHOUT PERMISSION

  Written by Yoshinori Tamada <tamada at ims.u-tokyo.ac.jp>
*/

#ifndef __PVALUES_H
#define __PVALUES_H

double * calc_pvalues(SSM * ssm, SSMState * X, SSMData * Y, int k, int r,
					  double * PV, double * W, double * y);
void output_pvalues(const char * prefix, int k, int id, const char * postfix,
					int p, int n, double * PV);
#endif /* __PVALUES_H */

/* End of file.  Copyright (C) 2010  HGC, IMS, The University of Tokyo       */
